Installing on Debian i686

4 posts / 0 new
Last post
#1 Tue, 11/14/2006 - 14:10
AdamLeach

Installing on Debian i686

Hi,

I though i would try installing Virtualmin Pro on Debian i686, however i got the following message.

Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that the package is simply not installable and a bug report against that package should be filed. The following information may help to resolve the situation:

The following packages have unmet dependencies: virtualmin-base: Depends: webmin-virtualmin-dav but it is not going to be installed Depends: webmin-virtualmin-svn but it is not going to be installed Depends: webmin-virtualmin-mailman but it is not going to be installed Depends: webmin-virtualmin-htpasswd but it is not going to be installed

Its a simple minimal install of Debian from 1and1. The Apt sources file contains

binary deb http://update.onlinehome-server.info/debian stable main contrib non-free deb http://update.onlinehome-server.info/debian-non-US stable/non-US main contrib non-free deb http://security.debian.org/debian-security stable/updates main contrib non-free

deb http://update.onlinehome-server.info/debian testing main contrib non-free deb http://security.debian.org/debian-security testing/updates main contrib non-free

deb http://update.onlinehome-server.info/debian unstable main contrib non-free

source

deb-src http://update.onlinehome-server.info/debian stable main contrib non-free deb-src http://update.onlinehome-server.info/debian-non-US stable/non-US main contrib non-free deb-src http://security.debian.org/debian-security stable/updates main contrib non-free

deb-src http://update.onlinehome-server.info/debian testing main contrib non-free deb-src http://security.debian.org/debian-security testing/updates main contrib non-free

deb-src http://update.onlinehome-server.info/debian unstable main contrib non-free

Any ideas.

Adam

Wed, 11/15/2006 - 16:26
AdamLeach

Okay,

After rebuilding the box several times, running the install and analysing the errors with the install i've found a few problems.

I've done the following the complicated/hard way, there is probably an easier way, but i don't know it.

The problem with the install was it was trying to install the Debian corrupted/out of date webmin, which isn't compatible with Virtualmin.

I got around this by disabling all sources in my apt sources file before run the install script.

This required all the dependcies to be installed from the debian repositories first. The are

apt-get install sasl2-bin libsasl2-modules-sql libsasl2-modules libsasl2-krb4-mit libapache2-svn apache2-common scponly libapache2-mod-fcgid clamav-testfiles clamav-docs clamav-freshclam clamav clamav-daemon clamav-base awstats libcrypt-ssleay-perl proftpd-doc proftpd-common proftpd dovecot-pop3d dovecot-imapd dovecot-common php4 webalizer awstats php4-pgsql postgresql-client postgresql php4-mysql mysql-common mysql-admin-common mysql-client mysql-server ri rdoc irb ruby subversion mailman python iptables quota libdbd-mysql-perl libdbd-pg-perl libpg-perl procmail spamc spamassassin bind9 libio-pty-perl libmd5-perl

after completing that i commented all sources from my apt sources file and ran a

apt-get clean;apt-get update

Then i ran the install.sh script and i seem to have a fully working webmin/virtualmin config.

I'll try and run this all again on a fresh install to make sure i haven't missed any thing.

i did change the following line (623) from
apt-get -y --purge remove webmin-base apache
to
apt-get -y --purge remove webmin apache

I'm not sure if that helped.

Line 651 caused me some problems as it fails if there is no need to install any dependcies , ie a previous install has failed. Perhaps it might be worth mentioning this in the error message.

Wed, 11/15/2006 - 16:48 (Reply to #2)
Joe
Joe's picture

Hey Adam,

Excellent troubleshooting! And thanks for the rundown.

I'm afraid now that I'm looking at this, I see where the problems came in...Ubuntu and Debian are slightly different in package names and dependencies, and it looks like I broke Debian when I made the install work on Ubuntu (and my test box had already had the old Debian Webmin package cleanup done, so the problem didn't rear up to kick me).

apt-get (and yum and yast and urpmi, for that matter) is very tricky about upgrading packages to resolve dependencies...and obviously, I still haven't quite gotten it right. It also behaves differently than yum--an install of packages that are already installed in yum results in "true", whereas it sounds like Debian results in "false", which is a might bit disturbing, but I'll figure out how to deal with that...Maybe it feeds out an error value we can interpret.

I'm firing up a fresh Debian system to experiment on now.

--

Check out the forum guidelines!

Fri, 11/17/2006 - 17:15
AdamLeach

Hi Joe,

I seem to have a few more problems.

One was easy, no new websites were working and getting a permission denied error. I found that apache was running as default as www-data and webmin gives permissions to apache, so i changed the default users and that should hopefully be working.

The other problem is it doesn't seem as if Spamassassin & ClamAV are being called for emails. Is there any way to check whether this is happening?

Thanks

Adam